2017-12-31 17 views
-1

セレンのライブラリを初めて使用しました。 セレンを使用してFirefoxセッションを開始するには、このエラーを解決してください。セレンでFirefoxのセッションを作成する際にエラーが発生しました

これまでのコードです。

from selenium import webdriver 
from selenium.webdriver.common.keys import Keys 

# create a new Firefox session 
driver = webdriver.Firefox() 

とエラーoccuringは

Traceback (most recent call last): 
    File "C:\Users\yash\AppData\Local\Programs\Python\Python36-32\lib\site-packages\selenium\webdriver\common\service.py", line 74, in start 
    stdout=self.log_file, stderr=self.log_file) 
    File "C:\Users\yash\AppData\Local\Programs\Python\Python36-32\lib\subprocess.py", line 707, in __init__ 
    restore_signals, start_new_session) 
    File "C:\Users\yash\AppData\Local\Programs\Python\Python36-32\lib\subprocess.py", line 990, in _execute_child 
    startupinfo) 
FileNotFoundError: [WinError 2] The system cannot find the file specified 

During handling of the above exception, another exception occurred: 

Traceback (most recent call last): 
    File "A:\python\webscrapping\seltry.py", line 5, in <module> 
    driver = webdriver.Firefox() 
    File "C:\Users\yash\AppData\Local\Programs\Python\Python36-32\lib\site-packages\selenium\webdriver\firefox\webdriver.py", line 148, in __init__ 
    self.service.start() 
    File "C:\Users\yash\AppData\Local\Programs\Python\Python36-32\lib\site-packages\selenium\webdriver\common\service.py", line 81, in start 
    os.path.basename(self.path), self.start_error_message) 
selenium.common.exceptions.WebDriverException: Message: 'geckodriver' executable needs to be in PATH. 

です助けてください!

+0

Pythonを使用した[Selenium]の重複可能性 - Geckodriver実行ファイルがPATHにある必要があります。(https://stackoverflow.com/questions/40208051/selenium-using-python-geckodriver-executable-needs-to-be-in-パス) – JeffC

+0

[selenium.common.exceptions.WebDriverExceptionの重複している可能性があります。メッセージ: 'chromedriver'実行ファイルがchromeでPATHエラーになる必要があります](https://stackoverflow.com/questions/46085270/selenium-common-exceptions-webdriverexception -message-chromedriver-executabl) – DebanjanB

答えて

0

エラー:selenium.common.exceptions.WebDriverException: Message: 'geckodriver' executable needs to be in PATH.これはかなり説明しています。あなたはこのチュートリアルに従うことができますSelenium using Python - Geckodriver executable needs to be in PATH

そして、私はこれがいくつかの団体とみなされるかもしれないと思うので、あなたの質問を調べてください。

+0

これは重複しているため、返信する代わりにそのようにマークして、たくさんのdupに終わることはなく、クリーンアップされます。 – JeffC

関連する問題